From d3d490387dadedba76afbfdb583d8c2b9de01baf Mon Sep 17 00:00:00 2001
From: Dilawar Singh <dilawars@ncbs.res.in>
Date: Tue, 27 Jun 2017 14:33:00 +0530
Subject: [PATCH] Added missing shell script.

---
 build_on_travis.sh | 28 ++++++++++++++++++++++++++++
 1 file changed, 28 insertions(+)
 create mode 100755 build_on_travis.sh

diff --git a/build_on_travis.sh b/build_on_travis.sh
new file mode 100755
index 00000000..1019a3c8
--- /dev/null
+++ b/build_on_travis.sh
@@ -0,0 +1,28 @@
+#!/bin/bash -
+#===============================================================================
+#
+#          FILE: build_on_travis.sh
+#
+#         USAGE: ./build_on_travis.sh
+#
+#   DESCRIPTION: 
+#
+#       OPTIONS: ---
+#  REQUIREMENTS: ---
+#          BUGS: ---
+#         NOTES: ---
+#        AUTHOR: Dilawar Singh (), dilawars@ncbs.res.in
+#  ORGANIZATION: NCBS Bangalore
+#       CREATED: Tuesday 27 June 2017 01:55:11  IST
+#      REVISION:  ---
+#===============================================================================
+
+set -o nounset                              # Treat unset variables as an error
+set -e
+
+gbp buildpackage  --git-ignore-branch --git-ignore-new -uc -us
+cd __moose-core_build && ctest --output-on-failure && cd ..
+sudo dpkg -D=2 -i ../moose*.deb
+cd ~ && python -c 'import moose; moose.test( timeout = 10 )'
+cd ~ && python -c 'import moogli'
+
-- 
GitLab